#ifndef UTILS_IMPL_H_
#define UTILS_IMPL_H_

#include "resource.h"

namespace webdav{

class UtilsImpl
{
private:
	std::string tmp_;

public:
	UtilsImpl();
	virtual ~UtilsImpl();

	const char* GetParentPath(const char* path);
	const char* GetPath(const char* url);
	const char* ResolvePath(const char* p, const char* filename, bool iscoll);
	const char* GetBaseName(const char* path);
	const char* GetBaseName(const Resource& res);
	const char* Escape(const char* src);
	const char* Unescape(const char*);

};

}

#endif