#pragma once

#include <ne_w32conf.h>

#include <ne_session.h>
#include <ne_request.h>

namespace webdav
{

class Http
{
public:
	Http();
	virtual ~Http();

	void SetResponseHandler(ne_block_reader hdr, void* ud)
	{
		response_handler_ = hdr;
		response_handler_data_ = ud;
	}

	void SetRequestHandler(ne_provide_body hdr, void* ud)
	{
		request_handler_ = hdr;
		request_handler_data_ = ud;
	}

protected:
	
	static int AcceptResponse(void *userdata, ne_request *req, const ne_status *st)
	{
		return 1;
	}

	ne_block_reader response_handler_;
	void* response_handler_data_;

	ne_provide_body request_handler_;
	void* request_handler_data_;

};

}
